import request from '@/utils/request'

// 查询国际申报数据列表
export function listVInternationalAsd (query) {
  return request({
    url: '/system/vInternationalAsd/list',
    method: 'get',
    params: query
  })
}

// 查询国际申报数据详细
export function getVInternationalAsd (id) {
  return request({
    url: '/system/vInternationalAsd/' + id,
    method: 'get'
  })
}

// 新增国际申报数据
export function addVInternationalAsd (data) {
  return request({
    url: '/system/vInternationalAsd',
    method: 'post',
    data: data
  })
}

// 修改国际申报数据
export function updateVInternationalAsd (data) {
  return request({
    url: '/system/vInternationalAsd',
    method: 'put',
    data: data
  })
}

// 删除国际申报数据
export function delVInternationalAsd (id) {
  return request({
    url: '/system/vInternationalAsd/' + id,
    method: 'delete'
  })
}

// 导出国际申报数据
export function exportVInternationalAsd (query) {
  return request({
    url: '/system/vInternationalAsd/export',
    method: 'get',
    params: query
  })
}
